﻿version
6.50
-1
0
Sub designer
end sub
@EndOfDesignText@
Sub Globals
  Dim strArray(0)

  ' varaibles for Language
  Public Text(15)
  cEnglish="E"
  cFrench="F"
  cGerman="G"
  cSpanish="S"
  cItalian="I"
  cPortuguese="P"
  cJapanese="J"
  cRussian="R"
End Sub

Public Sub Init
  OpenIniFile
  InitLanguage
  Main.cbSound.Checked=Main.bEnableSound
End Sub

Public Sub SavSetting
  SaveIniFile
End Sub

Sub OpenIniFile
  file=AppPath & "\" & Main.strAppname & ".ini"
  If FileExist (file) = True Then
    FileOpen (c1,file,cRead ,,)
    r = FileRead (c1)
    Do Until r = EOF
      If r<>"" Then
        strArray()=StrSplit(r,"=")
        Select strArray(0)
          Case "Language"
            Main.strLanguage = strArray(1)
          Case "Sound"
            Main.bEnableSound = strArray(1)
          Case "CalcTyp"
            Main.cmbCalcTyp.SelectedIndex = strArray(1)
          Case "A"
            Main.mem(0)=strArray(1)
          Case "B"
            Main.mem(1)=strArray(1)
          Case "C"
            Main.mem(2)=strArray(1)
          Case "D"
            Main.mem(3)=strArray(1)
          Case "Mem"
            Main.memory=strArray(1)
        End Select
      End If
      r = FileRead (c1)
    Loop
    FileClose (c1)
  Else
    SaveIniFile
  End If
End Sub

Sub SaveIniFile
  file=AppPath & "\" & Main.strAppname & ".ini"
  FileOpen (c1,file,cWrite,,)
  FileWrite (c1,"[Init]") 
  FileWrite (c1,"Language=" & Main.strLanguage)
  FileWrite (c1,"Sound=" & Main.bEnableSound )
  FileWrite (c1,"CalcTyp=" & Main.cmbCalcTyp.SelectedIndex )
  FileWrite (c1,"A=" & Main.mem(0))
  FileWrite (c1,"B=" & Main.mem(1))
  FileWrite (c1,"C=" & Main.mem(2))
  FileWrite (c1,"D=" & Main.mem(3))
  FileWrite (c1,"Mem=" & Main.memory)
  FileClose (c1)
End Sub

'======================
'Init Language
'======================
Sub InitLanguage
	If FileExist(AppPath&"\lng\SpracheE.txt")=True Then
		Main.rbtEnglish.Enabled=True
	End If

	If FileExist(AppPath&"\lng\SpracheF.txt")=True Then
		Main.rbtFrench.Enabled=True
	End If

	If FileExist(AppPath&"\lng\SpracheD.txt")=True Then
		Main.rbtGerman.Enabled=True
	End If

	If FileExist(AppPath&"\lng\SpracheS.txt")=True Then
		Main.rbtSpanish.Enabled=True
	End If

	If FileExist(AppPath & "\lng\SpracheI.txt")=True Then
		Main.rbtItalian.Enabled=True	
	End If
	
	If FileExist(AppPath & "\lng\SpracheP.txt")=True Then
		Main.rbtPortuguese.Enabled=True
	End If

	If FileExist(AppPath&"\lng\SpracheR.txt")=True Then
		Main.rbtRussian.Enabled=True
	End If

	If FileExist(AppPath&"\lng\SpracheJ.txt")=True Then
		Main.rbtJapanese.Enabled=True
	End If

	Select main.strLanguage
	Case cEnglish
		Main.rbtEnglish.Checked=True
	Case cFrench
		Main.rbtFrench.Checked=True
	Case cGerman
		Main.rbtGerman.Checked=True
	Case cSpanish
		Main.rbtSpanish.Checked=True
	Case cItalian
		Main.rbtItalian.Checked=True
	Case cPortuguese
		Main.rbtPortuguese.Checked=True
	Case cRussian
		Main.rbtRussian.Checked=True
	Case cJapanese
		Main.rbtJapanese.Checked=True
	End Select

	LoadLanguageText
	UpdateLanguage
End Sub

Public Sub UpdateLanguage
  Main.lblSettings.text=text(2)
  Main.lblSound.Text=text(1) & ":"
  Main.cmdSettingCancel.Text=text(4)
  Main.cmdMemoryCancel.Text=text(4)
  Main.lblMemoy.text=text(5)
  Main.lblView.text=text(7)
  
  Main.cmbCalcTyp.Item(0)=text(8)
  Main.cmbCalcTyp.Item(1)=text(9)
  If Main.bCalcTypStandard=True Then
    Main.cmbCalcTyp.SelectedIndex=0
  Else
    Main.cmbCalcTyp.SelectedIndex=1
  End If 
End Sub

Public Sub LoadLanguageText
	Dim LFile
	
	Select main.strLanguage
	Case cEnglish
		LFile=AppPath&"\lng\SpracheE.txt"
	Case cFrench
		LFile=AppPath&"\lng\SpracheF.txt"
	Case cGerman
		LFile=AppPath&"\lng\SpracheD.txt"
	Case cSpanish
		LFile=AppPath&"\lng\SpracheS.txt"
	Case cItalian
		LFile=AppPath&"\lng\SpracheI.txt"
	Case cPortuguese
		LFile=AppPath&"\lng\SpracheP.txt"
	Case cJapanese
		LFile=AppPath&"\lng\SpracheJ.txt"
	End Select
	
	FileOpen(c1,LFile,cRead,,)
	r=FileRead(c1)

	Do Until r = EOF
		If r<>"" Then
			strArray()=StrSplit(r, "=")
			Text(strArray(0))=strArray(1)
		End If
		r = FileRead (c1)
	Loop
	
	FileClose(c1)
End Sub

